/*
	Copyright  1995-2001, The AROS Development Team. All rights reserved.
	$Id: lockbrokerlist.c,v 1.1 2021/10/03 02:30:10 jacadcaps Exp $
 
	Desc:
	Lang: English
*/

/*****************************************************************************
 
	NAME */

#define AROS_ALMOST_COMPATIBLE

#include "cxintern.h"
#include <exec/memory.h>
#include <libraries/commodities.h>
#include <proto/exec.h>
#include <proto/commodities.h>

AROS_LH0(void, LockBrokerList,

		 /*  SYNOPSIS */

		 /*  LOCATION */

		 struct Library *, CxBase, 41, Commodities)

/*  FUNCTION
 
	Get a copy of the internal list of brokers.
 
	INPUTS
 
	CopyofList -- pointer to a list
 
	RESULT
 
	The number of brokers in the list. The elements of the input list will
	be deallocated.
 
	NOTES
 
	EXAMPLE
 
	BUGS
 
	SEE ALSO
 
	INTERNALS
 
	Private function.
 
	HISTORY
 
******************************************************************************/

{
	AROS_LIBFUNC_INIT

	ObtainSemaphoreShared(&GPB(CxBase)->cx_SignalSemaphore);

	AROS_LIBFUNC_EXIT
} /* GetBrokerList */

AROS_LH0(void, UnlockBrokerList,

		 /*  SYNOPSIS */

		 /*  LOCATION */

		 struct Library *, CxBase, 41, Commodities)

/*  FUNCTION
 
	Get a copy of the internal list of brokers.
 
	INPUTS
 
	CopyofList -- pointer to a list
 
	RESULT
 
	The number of brokers in the list. The elements of the input list will
	be deallocated.
 
	NOTES
 
	EXAMPLE
 
	BUGS
 
	SEE ALSO
 
	INTERNALS
 
	Private function.
 
	HISTORY
 
******************************************************************************/

{
	AROS_LIBFUNC_INIT

	ReleaseSemaphore(&GPB(CxBase)->cx_SignalSemaphore);

	AROS_LIBFUNC_EXIT
} /* GetBrokerList */
